Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452034 - Can't eject kickstart CD until install is about half finished.
Summary: Can't eject kickstart CD until install is about half finished.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 20:45 UTC by K. Scott Rowe
Modified: 2011-07-05 15:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-29 19:11:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description K. Scott Rowe 2008-06-18 20:45:06 UTC
Description of problem:
When kickstarting a machine using the CD and NFS, many CDROM drives will not
let me eject the CD until about 1,224 packages have been installed.  I install
Everything so the total number of packages is about 2,300.

Version-Release number of selected component (if applicable):


How reproducible:
Always reproducable but does not happen on all machines.  It seems the older
models are more likely to have this problem.

Steps to Reproduce:
1. Begin Kickstart process from 5.2 CD
2. when installation begins, try ejecting CD
3.
  
Actual results:
CD won't eject until install has ran for a while.

Expected results:
CD can be ejected after install begins.

Additional info:
Happens with x86_64 CD as well.

Comment 1 Chris Lumens 2008-08-29 19:11:07 UTC
We can really only make this work in certain conditions, as there are additional constraints on this problem.  The thing keeping us from being able to eject the CD is that the stage 2 image (which provides the graphical installation environment) is on the CD/DVD and is still mounted.  In limited cases in the next major release of RHEL, we can copy this image off the media to the newly made partition, then mount it there.

However, there are several times when we can't do this.  For instance if there is only one disc to the installation set (like in the DVD case) we don't want to do this copy as it only slows down the install for everyone, and we'll definitely take heat for that.  In addition, we can't move up the time when we copy the install image to disk and use that, as before filesystems are made, the only space we have available is in RAM, which kills lower memory installs.

So yes this will be fixed in some limited cases in the next major release of RHEL.  Just don't expect that it will always work for your specific install case.

Comment 2 K. Scott Rowe 2011-07-05 15:00:08 UTC
I have discovered that when kickstarting with the "text" option I can always eject the CD as soon as the screen turns blue.  I have not found a machine that doesn't let me do this.  I find this work-around sufficient.


Note You need to log in before you can comment on or make changes to this bug.